# Class TCefBrowserViewRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFBrowserView

## Declaration

`type TCefBrowserViewRef = class(TCefViewRef, ICefBrowserView)`

## Description

A View hosting a ICefBrowser instance. Methods must be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_browser_view_capi.h">CEF source file: /include/capi/views/cef_browser_view_capi.h (cef_browser_view_t))

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefViewRef
- TCefBrowserViewRef

## Overview

### Methods

| `function GetBrowser: ICefBrowser;`
| `function GetChromeToolbar: ICefView;`
| `procedure SetPreferAccelerators(prefer_accelerators: boolean);`
| `function GetRuntimeStyle: TCefRuntimeStyle;`
| `class function UnWrap(data: Pointer): ICefBrowserView;`
| `class function CreateBrowserView(const client: ICefClient; const url: ustring; const settings: TCefBrowserSettings; const extra_info: ICefDictionaryValue; const request_context: ICefRequestContext; const delegate: ICefBrowserViewDelegate): ICefBrowserView;`
| `class function GetForBrowser(const browser: ICefBrowser): ICefBrowserView;`

## Description

### Methods

| `function GetBrowser: ICefBrowser;`
Returns the ICefBrowser hosted by this BrowserView. Will return NULL if the browser has not yet been created or has already been destroyed.

| `function GetChromeToolbar: ICefView;`
Returns the Chrome toolbar associated with this BrowserView. Only supported when using Chrome style. The ICefBrowserViewDelegate.GetChromeToolbarType function must return a value other than CEF_CTT_NONE and the toolbar will not be available until after this BrowserView is added to a ICefWindow and ICefViewDelegate.OnWindowChanged() has been called.

| `procedure SetPreferAccelerators(prefer_accelerators: boolean);`

Sets whether normal priority accelerators are first forwarded to the web content (`keydown` event handler) or ICefKeyboardHandler. Normal priority accelerators can be registered via ICefWindow.SetAccelerator (with |high_priority|=false) or internally for standard accelerators supported by Chrome style. If |prefer_accelerators| is true then the matching accelerator will be triggered immediately (calling ICefWindowDelegate.OnAccelerator or ICefCommandHandler.OnChromeCommand respectively) and the event will not be forwarded to the web content or ICefKeyboardHandler first. If |prefer_accelerators| is false then the matching accelerator will only be triggered if the event is not handled by web content (`keydown` event handler that calls `event.preventDefault()`) or by ICefKeyboardHandler. The default value is false.

| `function GetRuntimeStyle: TCefRuntimeStyle;`
Returns the runtime style for this BrowserView (ALLOY or CHROME). See TCefRuntimeStyle documentation for details.

| `class function UnWrap(data: Pointer): ICefBrowserView;`
Returns a ICefBrowserView instance using a PCefBrowserView data pointer.

| `class function CreateBrowserView(const client: ICefClient; const url: ustring; const settings: TCefBrowserSettings; const extra_info: ICefDictionaryValue; const request_context: ICefRequestContext; const delegate: ICefBrowserViewDelegate): ICefBrowserView;`
Create a new BrowserView. The underlying cef_browser_t will not be created until this view is added to the views hierarchy. The optional |extra_info| parameter provides an opportunity to specify extra information specific to the created browser that will be passed to cef_render_process_handler_t::on_browser_created() in the render process.

| `class function GetForBrowser(const browser: ICefBrowser): ICefBrowserView;`
Returns the BrowserView associated with |browser|.

Generated by PasDoc 0.17.0.snapshot.